[android-components](../../../../index.md) / [mozilla.components.support.migration](../../../index.md) / [FxaMigrationResult](../../index.md) / [Failure](../index.md) / [CorruptAccountState](./index.md)

# CorruptAccountState

`data class CorruptAccountState : `[`Failure`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/migration/src/main/java/mozilla/components/support/migration/FennecFxaMigration.kt#L96)

Failed to process Fennec's auth state due to an exception [e](e.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `CorruptAccountState(e: <ERROR CLASS>)`<br>Failed to process Fennec's auth state due to an exception [e](e.md). |

### Properties

| Name | Summary |
|---|---|
| [e](e.md) | `val e: <ERROR CLASS>` |

### Functions

| Name | Summary |
|---|---|
| [toString](to-string.md) | `fun toString(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
